# Bot de pont entre le portail des assos et Mattermost

Ce bot sert à faire le pont entre le [portail des assos](https://assos.utc.fr/) et le [Mattermost de Picasoft](https://team.picasoft.net).

Il est écrit en Go, il faut donc installer un compilateur go pour compiler ce projet, il a été testé avec `gcc-go`. Il suffit de lancer `go build` pour construire l'exécutable.

Pour lancer le programme il faut renseigner quelques variables d'environnement :
* `MM_ASSOS_CHANNEL` correspond à l'ID du channel dans lequel on souhaite poster les messages
* `MM_ASSOS_TOKEN` correspond au jeton d'authentification utilisé par le compte de bot, *contactez un administrateur pour en obtenir un*
* `MM_ASSOS_ENDPOINTMM` correspond à l'URL de l'endpoint de l'API de Mattermost pour poster les messages
* `MM_ASSOS_ENDPOINTASSOS` correspond à l'URL de l'endpoint de l'API du portail des assos pour récupérer les articles
* `MM_ASSOS_DBPATH` correspond au chemin vers les id des articles déjà publiés
* `MM_ASSOS_FORB64` correspond au nom du bot en base64

Par exemple :
```
MM_ASSOS_TOKEN=changme MM_ASSOS_CHANNEL=changeme MM_ASSOS_DBPATH=./db MM_ASSOS_ENDPOINTMM=https://team.picasoft.net/api/v4/posts MM_ASSOS_ENDPOINTASSOS=https://assos.utc.fr/api/v1/articles MM_ASSOS_FORB64=cm9tYWluZGVsYWFnZS1ib3RtbQ== ./main
```

Ce programme est distribué sous licence AGPLv3
